import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'fruitninja_platform_interface.dart';

/// An implementation of [FruitninjaPlatform] that uses method channels.
class MethodChannelFruitninja extends FruitninjaPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('fruitninja');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
/*original code
import 'fruitninja_platform_interface.dart';

/// An implementation of [FruitninjaPlatform] that uses method channels.
class MethodChannelFruitninja extends FruitninjaPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('fruitninja');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}

 */