import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'fruitninja_method_channel.dart';

abstract class FruitninjaPlatform extends PlatformInterface {
  /// Constructs a FruitninjaPlatform.
  FruitninjaPlatform() : super(token: _token);

  static final Object _token = Object();

  static FruitninjaPlatform _instance = MethodChannelFruitninja();

  /// The default instance of [FruitninjaPlatform] to use.
  ///
  /// Defaults to [MethodChannelFruitninja].
  static FruitninjaPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [FruitninjaPlatform] when
  /// they register themselves.
  static set instance(FruitninjaPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
