import 'package:flutter_test/flutter_test.dart';
import 'package:fruitninja/fruitninja.dart';
import 'package:fruitninja/fruitninja_platform_interface.dart';
import 'package:fruitninja/fruitninja_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockFruitninjaPlatform
    with MockPlatformInterfaceMixin
    implements FruitninjaPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final FruitninjaPlatform initialPlatform = FruitninjaPlatform.instance;

  test('$MethodChannelFruitninja is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelFruitninja>());
  });

  test('getPlatformVersion', () async {
    Fruitninja fruitninjaPlugin = Fruitninja();
    MockFruitninjaPlatform fakePlatform = MockFruitninjaPlatform();
    FruitninjaPlatform.instance = fakePlatform;

    expect(await fruitninjaPlugin.getPlatformVersion(), '42');
  });
}
